#ifndef BME280_APP_H
#define BME280_APP_H

#include <stdbool.h>
#include <stdint.h>

bool BME280_AppInitialize(void);
bool BME280_AppCalibrate(void);
bool BME280_AppRead(float *temperatureC, float *humidityPct, float *pressurehPa);
uint16_t BME280_AppGetAddress(void);
uint8_t BME280_AppGetLastChipId(void);
const char *BME280_AppGetLastErrorString(void);

#endif /* BME280_APP_H */